Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateFunctionElement Class Reference
Template system » Template elements

Represents a function element in the template tree. More...

## Public Member Functions
| __construct ( $name, $params, $children=array())
| setResourceRelation ( $resource)
| setTemplateNameRelation ( $templateName)
| resourceRelation ()
| templateNameRelation ()
| name ()
| serializeData ()
| process ( $tpl, &$text, $nspace, $current_nspace)
& | parameters ()
& | children ()
| appendChild (&$node)

## Public Attributes
| $Name
| The name of the function. More...
| $Params
| The parameter list. More...
| $Children = array()
| The child elements. More...
| $Resource
| $TemplateName

## Detailed Description

Represents a function element in the template tree.

This class represents a function with it's parameters. It also contains child elements if the function was registered as having children.

Definition at line 25 of file eztemplatefunctionelement.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateFunctionElement::__construct | ( |  | $name,
|  |  | $params,
|  |  | $children = `array()`
| ) |  |

Initializes the function with a name and parameter array.

Parameters

  string | $name |
  array | $params |
  array | $children |

Definition at line 34 of file eztemplatefunctionelement.php.

## Member Function Documentation

## ◆ appendChild()

eZTemplateFunctionElement::appendChild | ( | & | $node | ) |

Appends the child element $node to the child list.

Definition at line 109 of file eztemplatefunctionelement.php.

## ◆ children()

& eZTemplateFunctionElement::children | ( |  | ) |

Returns a reference to the children.

Definition at line 101 of file eztemplatefunctionelement.php.

References $Children.

## ◆ name()

eZTemplateFunctionElement::name | ( |  | ) |

Returns the name of the function.

Definition at line 64 of file eztemplatefunctionelement.php.

References $Name.

## ◆ parameters()

& eZTemplateFunctionElement::parameters | ( |  | ) |

Returns a reference to the parameter list.

Definition at line 93 of file eztemplatefunctionelement.php.

References $Params.

## ◆ process()

eZTemplateFunctionElement::process | ( |  | $tpl,
|  | & | $text,
|  |  | $nspace,
|  |  | $current_nspace
| ) |  |

Tries to run the function with the children, the actual function execution is done by the template class.

Definition at line 82 of file eztemplatefunctionelement.php.

## ◆ resourceRelation()

eZTemplateFunctionElement::resourceRelation | ( |  | ) |

Definition at line 51 of file eztemplatefunctionelement.php.

References $Resource.

## ◆ serializeData()

eZTemplateFunctionElement::serializeData | ( |  | ) |

Definition at line 69 of file eztemplatefunctionelement.php.

## ◆ setResourceRelation()

eZTemplateFunctionElement::setResourceRelation | ( |  | $resource | ) |

Definition at line 41 of file eztemplatefunctionelement.php.

## ◆ setTemplateNameRelation()

eZTemplateFunctionElement::setTemplateNameRelation | ( |  | $templateName | ) |

Definition at line 46 of file eztemplatefunctionelement.php.

## ◆ templateNameRelation()

eZTemplateFunctionElement::templateNameRelation | ( |  | ) |

Definition at line 56 of file eztemplatefunctionelement.php.

References $TemplateName.

## Member Data Documentation

## ◆ $Children

eZTemplateFunctionElement::$Children = array()

The child elements.

Definition at line 119 of file eztemplatefunctionelement.php.

Referenced by children().

## ◆ $Name

eZTemplateFunctionElement::$Name

The name of the function.

Definition at line 115 of file eztemplatefunctionelement.php.

Referenced by name().

## ◆ $Params

eZTemplateFunctionElement::$Params

The parameter list.

Definition at line 117 of file eztemplatefunctionelement.php.

Referenced by parameters().

## ◆ $Resource

eZTemplateFunctionElement::$Resource

Definition at line 121 of file eztemplatefunctionelement.php.

Referenced by resourceRelation().

## ◆ $TemplateName

eZTemplateFunctionElement::$TemplateName

Definition at line 122 of file eztemplatefunctionelement.php.

Referenced by templateNameRelation().

The documentation for this class was generated from the following file:

- eztemplatefunctionelement.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.